Package com.google.android.exoplayer2.database

## Class DatabaseIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.database.DatabaseIOException

- All Implemented Interfaces:
    `Serializable`

      public final class DatabaseIOException
      extends IOException

  An `IOException` whose cause is an `SQLException`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DatabaseIOException​(SQLException cause)` |
    `DatabaseIOException​(SQLException cause, String message)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DatabaseIOException

          public DatabaseIOException​(SQLException cause)

    - #### DatabaseIOException

          public DatabaseIOException​(SQLException cause,
                                     String message)